//---[[Composition]]----for  AE  6.x.x (JP)------------------------
//---"CompItemtoFps ver2.0."
//
//---選択したコンポの尺を他の同じFPSのコンポに適用するプログラム。
//---コンポ名の最後に＠(半角英数)がある時は、尺を統一しません。
//---セルをスムージングするコンポなど、尺を変えたくないコンポは＠をコンポ名の最後につけて下さい。
//---(弊社ワークフロー上、元となるコンポは24FPS限定。書き換えれば簡単に変更可能。)
//---   by  2006.4.1. UFO TONE  ---------------------------------


//---変数定義----------------------------------------------------

var FR =24;  //<---ここを30に書き換えると、30fpsのコンポ全てにかかる

var myReg =/@/i; //<---ここを正規表現で書き換えると、条件が色々変更可。
//   var myReg =/コンポ 1/i;  <---例えば...コメントをとって上のをコメントアウトする
//---煩わしいけれど、 var myReg =prompt("一括処理を省く条件は？","");    などなど


var newDur =1;
//--関数の定義-------その1---------------------------------------
//--serchComp()--対象コンポをさがすよ----

function serchComp(){
	var i = 1;
	var mi = app.project.numItems;
	for(i=1;i<=mi;i++){
		if ((app.project.item(i).duration!=null)&&(app.project.item(i).typeName=="コンポジション")){
			if (app.project.item(i).frameRate==FR){
				if (!app.project.item(i).name.match(myReg)){
					//---＠があるコンポは省く---
					//--その条件に合うコンポ尺を一律変更---
					app.project.item(i).duration = newDur;
				}
			}
		}
	}
}

//--関数の定義-------その2---------------------------------------
//-----多分この関数はイラナイ。整理整頓、ごみは捨てよう！--------
function deleteGab(){
	delete mi;
	delete i;
	delete newDur;
	delete FR;
	delete myReg;
}


//---プログラム処理部分（メインルーチン）-------------------------

if (app.project.activeItem!=null){	
	if ((app.project.activeItem.typeName=="コンポジション")&&(app.project.activeItem.frameRate==FR)){
		
		newDur = app.project.activeItem.duration;
		serchComp();
		
		alert("完了しました！\n\n\n"+"提供:UFO.T.");
		
		deleteGab();
		
			}else{alert(FR+"fpsのコンポを選んでね");
	}
}else{alert("何か選択してね"); deleteGab();}
	

//----------------------------------------------------------------
//  親切なエラー処理は書いていないよ.
//----------------------------------------------------------------
